Bug 17012 - Remove more event attributes from administration templates
Summary: Remove more event attributes from administration templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-01 15:00 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17012 - Remove more event attributes from administration templates (10.19 KB, patch)
2016-08-01 15:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17012 - Remove more event attributes from administration templates (10.30 KB, patch)
2016-08-01 18:01 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17012 - Remove more event attributes from administration templates (10.37 KB, patch)
2016-08-02 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-01 15:00:33 UTC
There are still some administration templates with event attributes. These events should be defined in the JavaScript.
Comment 1 Owen Leonard 2016-08-01 15:53:06 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-08-01 18:01:18 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-02 10:31:59 UTC
Created attachment 53885 [details] [review]
Bug 17012 - Remove more event attributes from administration templates

There are several administration templates which still contain event
attributes. This patch move event definition to the JavaScript.

To test you must have the SMSSendDriver system preference set to
"Email." Apply the patch and go to Administration.

- In Global system preferences, change the value of any input or select
  and then click the "Cancel" link for that section. After confirming
  your choice, the page should reload with your changes reset.

- In Circulation and fine rules, edit any existing rule. In the editing
  row, click the "Clear" button. The data for that rule should be
  cleared.

- In Transport cost matrix, make any change to the matrix. Submitting
  the form should work correctly.

- In MARC bibliographic framework, choose 'MARC structure' for any
  framework.
  - Checking or unchecking the 'Display only used tags/subfields'
    checkbox should reload the page and change the display according to
    your choice.

- In Did you mean?, make changes to the existing configuration.
  - Clicking "Cancel" should reload the page and discard your changes.
  - Clicking "Save configuration" should correcly save your changes.

- In SMS cellular providers, click to edit any existing provider.
  Clicking the "Cancel" link should cancel the editing process and
  return you to the list of providers.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 14:29:00 UTC
Pushed to master for 16.11, thanks Owen!